Variants Drugs
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/variants/drugsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/variants/drugs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/variants/drugs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"_from": "<string>",
"source": "<string>",
"source_url": "<string>",
"name": "<string>",
"drug": "<string>",
"gene_symbol": [
"<string>"
],
"pmid": "<string>",
"study_parameters": [
{
"study_parameter_id": "<string>",
"study_type": "<string>",
"study_cases": "<string>",
"study_controls": "<string>",
"p-value": "<string>",
"biogeographical_groups": "<string>"
}
],
"phenotype_categories": [
"<string>"
]
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Variants Drugs
Retrieve drugs associated with the query variants from pharmGKB.
Set verbose = true to retrieve full info on the drugs.
At least one of these fields is required: variant_id, spdi, hgvs, rsid, ca_id, or region.
Example: variant_id = NC_000001.11:230714139:T:G,
spdi = NC_000001.11:230714139:T:G,
hgvs = NC_000001.11:g.230714140T>G,
rsid = rs5050 (at least one of the variant fields needs to be specified),
ca_id = CA10610220,
region = chr3:186741137-186742238 (maximum length: 10kb),
the following filters on variants-drugs association can be combined for query:
pmid = 20824505,
phenotype_categories = Toxicity.
The limit parameter controls the page size and can not exceed 100.
Pagination is 0-based.
Variants Drugs
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/variants/drugsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/variants/drugs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/variants/drugs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"_from": "<string>",
"source": "<string>",
"source_url": "<string>",
"name": "<string>",
"drug": "<string>",
"gene_symbol": [
"<string>"
],
"pmid": "<string>",
"study_parameters": [
{
"study_parameter_id": "<string>",
"study_type": "<string>",
"study_cases": "<string>",
"study_controls": "<string>",
"p-value": "<string>",
"biogeographical_groups": "<string>"
}
],
"phenotype_categories": [
"<string>"
]
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
Dosage, Efficacy, Metabolism/PK, Other, PD, Toxicity Available options:
Homo sapiens Available options:
true, false